This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 980442 - sigint on serial console kills installation KeyboardInterrupt Pane is dead
sigint on serial console kills installation KeyboardInterrupt Pane is dead
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 07:30 EDT by Ales Ledvinka
Modified: 2016-09-20 00:33 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 17:09:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing KeyboardInterrupt after pressing ctrl-C during installer startup in text mode (17.92 KB, image/png)
2013-07-27 13:32 EDT, Steve Tyler
no flags Details

  None (edit)
Description Ales Ledvinka 2013-07-02 07:30:40 EDT
Description of problem:
not sure whether bug or feature to mitigate dataloss in doubtful situations.

@f17 running virt-install. requested system is serial console minimal f19.
it's possible to ctrl+c sigint the installation process. result is several pages of errors, screen redraws and such.

below is the 
[  OK  ] Reached target Paths.
Starting installer, one moment...
^CTraceback (most recent call last):
  File "/sbin/anaconda", line 677, in <module>
    from pyanaconda import geoloc
    import timezone
  File "/usr/lib64/python2.7/site-packages/pyanaconda/timezone.py", line 31, in <module>
    from pyanaconda import localization
  File "/usr/lib64/python2.7/site-packages/pyanaconda/localization.py", line 32, in <module>
    import langtable
  File "/usr/lib/python2.7/site-packages/langtable.py", line 1124, in <module>
    __module_init = __ModuleInitializer()
  File "/usr/lib/python2.7/site-packages/langtable.py", line 1118, in __init__
    _init()
  File "/usr/lib/python2.7/site-packages/langtable.py", line 1113, in _init
    _read_file(datadir, 'languages.xml', LanguagesContentHandler())
  File "/usr/lib/python2.7/site-packages/langtable.py", line 626, in _read_file
    _expat_parse(file, sax_handler)
  File "/usr/lib/python2.7/site-packages/langtable.py", line 608, in _expat_parse
    parser.ParseFile(file)
  File "/usr/lib/python2.7/site-packages/langtable.py", line 127, in characters
    if self._save_to is None:
KeyboardInterrupt

Pane is dead
    if self._save_to is None:
KeyboardInterrupt
Pane is dead
[anaconda] 1:main* 2:shell  3:log  4:storage-log  5:program-log
Comment 1 Steve Tyler 2013-07-27 13:32:46 EDT
Created attachment 779159 [details]
screenshot showing KeyboardInterrupt after pressing ctrl-C during installer startup in text mode

Confirmed.

The response to ctrl-C is inconsistent -- sometimes it is ignored, sometimes it generates a "Pane is dead" with no traceback, sometimes it generates a "Pane is dead" with a traceback, all depending on where in the install process ctrl-C is pressed.

What is the expected behavior?

Tested by entering "text" on the kernel command line with:
$ qemu-kvm -m 4096 -hda f19-test-2.img -cdrom ~/xfr/fedora/F19/Fedora-19-x86_64-DVD.iso -vga std -boot menu=on
Comment 2 Chris Lumens 2013-08-21 17:09:19 EDT
This very well may be a bug, but ctrl-c behavior is definitely not high up on our priority list.  anaconda is kind of a special process - you can just reboot if you want.  We do not have any formalized behavior for this, and I can't really see getting to it.

Note You need to log in before you can comment on or make changes to this bug.